summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorGaël Bonithon <gael@xfce.org>2021-12-24 19:11:51 +0100
committerGaël Bonithon <gael@xfce.org>2021-12-26 18:29:15 +0100
commit851a63ce087fe27c23bc625c25a4c0a9c976e895 (patch)
tree017534f8f6d6bd2026e6e5e762bdadcdbf037c56 /autogen.sh
parent59f9a132b5da72600af9701c9a6a9265a179b660 (diff)
downloadtumbler-851a63ce087fe27c23bc625c25a4c0a9c976e895.tar.gz
Cleanup: Remove deprecated GNOME build and TODO file
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh31
1 files changed, 11 insertions, 20 deletions
diff --git a/autogen.sh b/autogen.sh
index 8e8d1a5..9d2ba0e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -19,25 +19,16 @@
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.
-test -d m4 || mkdir m4
-
-which xdt-autogen
-if test x"$?" = x"0"; then
- echo "Building using the Xfce development environment"
- ./autogen-xfce.sh $@
- exit $?
-fi
+type xdt-autogen >/dev/null 2>&1 || {
+ cat >&2 <<EOF
+autogen.sh: You don't seem to have the Xfce development tools installed on
+ your system, which are required to build this software.
+ Please install the xfce4-dev-tools package first, it is available
+ from http://www.xfce.org/.
+EOF
+ exit 1
+}
-which gnome-autogen.sh
-if test x"$?" = x"0"; then
- echo "Building using the GNOME development environment"
- ./autogen-gnome.sh $@
- exit $?
-fi
+mkdir -p m4 || exit $?
-cat >&2 <<EOF
-You need to have either the Xfce or the GNOME development enviroment
-installed. Check for xfce4-dev-tools or gnome-autogen.sh in your
-package manager.
-EOF
-exit 1
+XDT_AUTOGEN_REQUIRED_VERSION="4.16.0" exec xdt-autogen "$@"